import { Debugger } from '../types/debug/debug.types';
/**
 * Debug can parse inspectOpts from env into boolean, null or number.
 * It passes them along to NodeJS's util, which doesn't reject.
 * However, we should respect type safety in-case Node makes breaking changes.
 * See: https://nodejs.org/api/util.html#util_util_inspect_object_options
 * @param inspectOpts
 * @returns
 */
export declare const cleanInspectOpts: (inspectOpts: Debugger['inspectOpts']) => {
    numericSeparator?: boolean | undefined;
    getters?: boolean | undefined;
    sorted?: boolean | undefined;
    compact: number;
    breakLength?: number | undefined;
    maxStringLength?: number | undefined;
    maxArrayLength?: number | undefined;
    showProxy?: boolean | undefined;
    customInspect?: boolean | undefined;
    showHidden?: boolean | undefined;
    depth?: number | undefined;
    colors?: boolean | undefined;
    hideDate?: boolean | undefined;
} | {
    numericSeparator?: boolean | undefined;
    getters?: boolean | undefined;
    sorted?: boolean | undefined;
    compact: boolean;
    breakLength?: number | undefined;
    maxStringLength?: number | undefined;
    maxArrayLength?: number | undefined;
    showProxy?: boolean | undefined;
    customInspect?: boolean | undefined;
    showHidden?: boolean | undefined;
    depth?: number | undefined;
    colors?: boolean | undefined;
    hideDate?: boolean | undefined;
} | {
    numericSeparator?: boolean | undefined;
    getters?: boolean | undefined;
    sorted?: boolean | undefined;
    breakLength?: number | undefined;
    maxStringLength?: number | undefined;
    maxArrayLength?: number | undefined;
    showProxy?: boolean | undefined;
    customInspect?: boolean | undefined;
    showHidden?: boolean | undefined;
    depth?: number | undefined;
    colors?: boolean | undefined;
    hideDate?: boolean | undefined;
};
//# sourceMappingURL=cleanInspectOpts.d.ts.map