"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.cleanInspectOpts = void 0;
/**
 * Debug can parse inspectOpts from env into boolean, null or number.
 * It passes them along to NodeJS's util, which doesn't reject.
 * However, we should respect type safety in-case Node makes breaking changes.
 * See: https://nodejs.org/api/util.html#util_util_inspect_object_options
 * @param inspectOpts
 * @returns
 */
var cleanInspectOpts = function (inspectOpts) {
    if (typeof inspectOpts !== 'object')
        return {};
    if (Object.keys(inspectOpts).length === 0)
        return {};
    var hideDate = inspectOpts.hideDate, colors = inspectOpts.colors, depth = inspectOpts.depth, showHidden = inspectOpts.showHidden, customInspect = inspectOpts.customInspect, showProxy = inspectOpts.showProxy, maxArrayLength = inspectOpts.maxArrayLength, maxStringLength = inspectOpts.maxStringLength, breakLength = inspectOpts.breakLength, compact = inspectOpts.compact, sorted = inspectOpts.sorted, getters = inspectOpts.getters, numericSeparator = inspectOpts.numericSeparator;
    if (Number.isInteger(depth)) {
        depth;
    }
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (typeof hideDate === 'boolean' ? { hideDate: hideDate } : {})), (typeof colors === 'boolean' ? { colors: colors } : {})), (Number.isInteger(depth) && typeof depth === 'number' ? { depth: depth } : {})), (typeof showHidden === 'boolean' ? { showHidden: showHidden } : {})), (typeof customInspect === 'boolean' ? { customInspect: customInspect } : {})), (typeof showProxy === 'boolean' ? { showProxy: showProxy } : {})), (Number.isInteger(maxArrayLength) && typeof maxArrayLength === 'number'
        ? { maxArrayLength: maxArrayLength }
        : {})), (Number.isInteger(maxStringLength) && typeof maxStringLength === 'number'
        ? { maxStringLength: maxStringLength }
        : {})), (Number.isInteger(breakLength) && typeof breakLength === 'number'
        ? { breakLength: breakLength }
        : {})), (Number.isInteger(compact) && typeof compact === 'number'
        ? { compact: compact }
        : typeof compact === 'boolean'
            ? { compact: compact }
            : {})), (typeof sorted === 'boolean' ? { sorted: sorted } : {})), (typeof getters === 'boolean' ? { getters: getters } : {})), (typeof numericSeparator === 'boolean' ? { numericSeparator: numericSeparator } : {}));
};
exports.cleanInspectOpts = cleanInspectOpts;
//# sourceMappingURL=cleanInspectOpts.js.map